

drivers/char/keyboard.c: In function `k_fn':
drivers/char/keyboard.c:665: warning: comparison is always true due
to limited range of data type

I didn't want to just delete the code because one day the size of func_table
may get smaller, or the type of `value' may get larger.  When that happens,
the test becomes valid again.



 25-akpm/drivers/char/keyboard.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletion(-)

diff -puN drivers/char/keyboard.c~keyboard-warning-fix drivers/char/keyboard.c
--- 25/drivers/char/keyboard.c~keyboard-warning-fix	Mon Aug 11 11:48:48 2003
+++ 25-akpm/drivers/char/keyboard.c	Mon Aug 11 11:49:17 2003
@@ -660,9 +660,12 @@ static void k_cons(struct vc_data *vc, u
 
 static void k_fn(struct vc_data *vc, unsigned char value, char up_flag, struct pt_regs *regs)
 {
+	unsigned v;
+
 	if (up_flag)
 		return;
-	if (value < ARRAY_SIZE(func_table)) {
+	v = value;
+	if (v < ARRAY_SIZE(func_table)) {
 		if (func_table[value])
 			puts_queue(vc, func_table[value]);
 	} else

_
